Name:          jutils
Version:       1.0.1
Release:       %mkrel 13
Summary:       Common utilities for the Game Technology Group
Group:         Development/Java
License:        BSD
URL:            http://java.net/projects/jutils
### upstream only provides subversion checkout
# tar creation instructions
# svn export -r30 https://svn.java.net/svn/jutils~svn/trunk jutils
# tar cfJ jutils-1.0.1.tar.xz jutils 
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven-local

%description
This is the utils project that contains useful shared functionality
for the other Java Games Initiative APIs.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}
sed -i 's/-SNAPSHOT//' pom.xml

%mvn_file : %{name}

%build
# Skip tests because they require an X display
%mvn_build -- -Dmaven.test.skip=true

%install
%mvn_install

%files -f .mfiles
%doc README.txt 

%files javadoc -f .mfiles-javadoc


%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 1.0.1-13.mga6
+ Revision: 981311
- First rebuild of the java stack
- sync package jutils with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 1.0.1-6.mga5
+ Revision: 811231
- Sync with fc21
- fix Group

* Fri Oct 24 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 792888
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 508920
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 dmorgan <dmorgan> 1.0.1-2.mga3
+ Revision: 362760
- Build with maven 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 23 2011 dmorgan <dmorgan> 1.0.1-1.mga2
+ Revision: 112681
- Simply spec file

  + gil <gil>
    - imported package jutils


* Thu Jun 23 2011 gil <gil> 1.0.1-0.%%mkrel
- initial rpm